Package org.eclipse.zest.core.widgets

# Interface IStyleableFigure

All Superinterfaces:
  `IFigure`

public interface IStyleableFigure extends IFigure
Marks a figure that allows its style being configured through a `GraphNode` from the model.
If a figure implementing this interface is associated to a `GraphNode`, the foreground, background and border colors will be configured according to the model, as well as the font and the border width.

Since:
  1.14
See Also:
  - `IFigure.setFont(org.eclipse.swt.graphics.Font)`
  - `IFigure.setForegroundColor(Color)`
  - `IFigure.setBackgroundColor(Color)`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Method Summary

Modifier and Type
Method
Description
`void`
`setBorderColor(Color borderColor)`
Set the border color
`void`
`setBorderWidth(int borderWidth)`
Set the border width

### Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

## Method Details

### setBorderColor

void setBorderColor(Color borderColor)
Set the border color

Parameters:
  `borderColor` - the border color

### setBorderWidth

void setBorderWidth(int borderWidth)
Set the border width

Parameters:
  `borderWidth` - the border width